# compiler.
CC = gcc

# parser generator.
YACC = bison -y

GLDIR=/usr/X11R6

# Add relevant -I and -L for glut and libjpeg if necessary 

CFLAGS= -Wall -O6 -I$(GLDIR)/include \
        -fpcc-struct-return -ffast-math -fPIC \
        -fomit-frame-pointer -funroll-all-loops 

LDFLAGS= -L$(GLDIR)/lib -lglut -L/lib -lGLU -lGL -ldga \
         -lXmu -lXi -lXext -lX11 -ljpeg -lm  -lsocket -lnsl



# ------------- You shouldn't need to make changes below here. ---------------

PYRO_VER=1.3

OBJ=pyro.o colormod.o posmod.o particles.o fireworks.o jpeg.o parser.o

all: pyro

clean:
	rm -f *.o *~ pyro parser.c pyro-*.tgz

$(OBJ): pyro.h

pyro: $(OBJ) pyro.h
	$(CC) -o pyro $(OBJ) $(LDFLAGS) $(LIBS) 

parser.c: parser.y
	$(YACC) parser.y
	mv y.tab.c parser.c
