/* colormod.c

   Color modulation code

   Copyright (c) 1998-1999, Mike Oliphant and Rob Clark
*/

#include "math.h"
#ifdef __EMX__ /*os2*/
  #include "float.h"
#endif
#include "pyro.h"

#define UpDown(x) ((M_E/2.0)*x*exp(-0.5*x))

/* Make the red value increase quickly, and then taper off */

void redmod(Particle *part,Firework *work)
{
  part->mr=UpDown(work->timer*.05);
  part->mg=part->g;
  part->mb=part->b;
}

/* Modulate the red and green components with a sine wave */

void flash(Particle *part,Firework *work)
{
  part->mr=fabs(sin(work->timer+(part->rval*2*M_PI)));
  part->mg=fabs(sin(work->timer+(part->rval*2*M_PI)));
  part->mb=0.0;
}

/* Designed to work with xz_wobble -- when the particles start to fall,
   turn them white */

void fallcol(Particle *part,Firework *work)
{

  if(part->expvel==0.0) {
    part->mr=1.0;
    part->mg=1.0;
    part->mb=1.0;
  } else {
    part->mr=part->r;
    part->mg=part->g;
    part->mb=part->b;
  }
}
