/* particles.c

   Particle definition code

   Copyright (c) 1998-1999, Mike Oliphant and Rob Clark
*/

#include <stdio.h>
#include "pyro.h"

PT_Template pt_white={
  1.0,1.0,0.9,-1.0,        /* r,g,b,a */
  0.03,0.02,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_purple={
  1.0,0.0,1.0,-1.0,        /* r,g,b,a */
  0.02,0.01,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_cyan={
  0.0,1.0,1.0,-1.0,        /* r,g,b,a */
  0.02,0.01,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_yellow={
  0.85,0.71,0.0,-1.0,        /* r,g,b,a */
  0.02,0.01,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_yellgrn={
  0.0,1.0,0.0,-1.0,        /* r,g,b,a */
  0.02,0.01,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  redmod,NULL};             /* cfunc,mfunc */

PT_Template pt_purpblue={
  0.0,0.0,1.0,-1.0,        /* r,g,b,a */
  0.02,0.01,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  redmod,NULL};             /* cfunc,mfunc */

PT_Template pt_red={
  1.0,0.0,0.0,-1.0,        /* r,g,b,a */
  0.03,0.02,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .004,                   /* decrate  */
  2.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_cyanring={
  0.0,1.0,1.0,-1.0,        /* r,g,b,a */
  0.05,0.0,               /* expvel,expveldev */
  1.0,0.01,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_inside={
  0.0,1.0,0.0,-1.0,        /* r,g,b,a */
  0.02,0.02,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_outside={
  1.0,1.0,0.0,-1.0,        /* r,g,b,a */
  0.04,0.01,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  .004,                   /* decrate  */
  10.0,                    /* traillen */
  flash,NULL};             /* cfunc,mfunc */

PT_Template pt_xz_wobble={
  0.0,0.0,0.3,-1.0,        /* r,g,b,a */
  0.02,0.005,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  0.003,                   /* decrate */ 
  3.0,                    /* traillen */
  fallcol,xz_wobble};             /* cfunc,mfunc */

PT_Template pt_rg={
  -1.0,-1.0,1.0,-1.0,        /* r,g,b,a */
  0.02,0.005,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .02,                   /* airres */
  0.003,                   /* decrate */ 
  -10.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_rb={
  -1.0,1.0,-1.0,-1.0,        /* r,g,b,a */
  0.02,0.005,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .01,                   /* airres */
  0.003,                   /* decrate */ 
  -15.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_lilyel={
  1.0,1.0,0.0,-1.0,        /* r,g,b,a */
  0.01,0.005,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .04,                   /* airres */
  0.015,                   /* decrate */ 
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_blueyline={
  0.3,0.3,1.0,-1.0,        /* r,g,b,a */
  0.05,0.03,               /* expvel,expveldev */
  0.01,1.0,0.01,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate */ 
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_bluexline={
  0.3,0.3,1.0,-1.0,        /* r,g,b,a */
  0.05,0.03,               /* expvel,expveldev */
  1.0,0.01,0.01,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_bluezline={
  0.3,0.3,1.0,-1.0,        /* r,g,b,a */
  0.05,0.03,               /* expvel,expveldev */
  0.01,0.01,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_rgspark={
  -1.0,-1.0,1.0,-1.0,        /* r,g,b,a */
  0.003,0.002,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  redmod,NULL};             /* cfunc,mfunc */

PT_Template pt_goldenspark={
  1.0,1.0,0.0,-1.0,        /* r,g,b,a */
  0.003,0.002,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  flash,NULL};             /* cfunc,mfunc */

PT_Template pt_whitespark={
  0.85,0.71,1.0,-1.0,        /* r,g,b,a */
  0.003,0.002,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_cyanvertring={
  0.0,1.0,1.0,-1.0,        /* r,g,b,a */
  0.03,0.0,               /* expvel,expveldev */
  0.05,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  NULL,NULL};             /* cfunc,mfunc */

PT_Template pt_rbspark={
  1.0,0.0,1.0,-1.0,        /* r,g,b,a */
  /*  -1.0,1.0,-1.0,-1.0,*/        /* r,g,b,a */
  0.003,0.002,               /* expvel,expveldev */
  1.0,1.0,1.0,            /* xexpfact, yexpfact,zexpfact */
  .03,                   /* airres */
  .005,                   /* decrate  */
  5.0,                    /* traillen */
  redmod,NULL};             /* cfunc,mfunc */

